diff -ruN vdr-1.7.9/remux.c vdr-1.7.10/remux.c
--- vdr-1.7.9/remux.c	2009-08-16 17:13:42.000000000 +0200
+++ vdr-1.7.10/remux.c	2009-11-22 12:23:27.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: remux.c 2.26 2009/08/16 15:13:42 kls Exp $
+ * $Id: remux.c 2.29 2009/11/22 11:23:27 kls Exp $
  */
 
 #include "remux.h"
@@ -264,8 +264,8 @@
   uchar *p = pat;
   int i = 0;
   p[i++] = TS_SYNC_BYTE; // TS indicator
-  p[i++] = TS_PAYLOAD_START; // flags (3), pid hi (5)
-  p[i++] = 0x00; // pid lo
+  p[i++] = TS_PAYLOAD_START | (PATPID >> 8); // flags (3), pid hi (5)
+  p[i++] = PATPID & 0xFF; // pid lo
   p[i++] = 0x10; // flags (4), continuity counter (4)
   p[i++] = 0x00; // pointer field (payload unit start indicator is set)
   int PayloadStart = i;
@@ -295,6 +295,7 @@
   numPmtPackets = 0;
   if (Channel) {
      int Vpid = Channel->Vpid();
+     int Ppid = Channel->Ppid();
      uchar *p = buf;
      int i = 0;
      p[i++] = 0x02; // table id
@@ -306,8 +307,8 @@
      p[i++] = 0xC1 | (pmtVersion << 1); // dummy (2), version number (5), current/next indicator (1)
      p[i++] = 0x00; // section number
      p[i++] = 0x00; // last section number
-     p[i++] = 0xE0 | (Vpid >> 8); // dummy (3), PCR pid hi (5)
-     p[i++] = Vpid; // PCR pid lo
+     p[i++] = 0xE0 | (Ppid >> 8); // dummy (3), PCR pid hi (5)
+     p[i++] = Ppid; // PCR pid lo
      p[i++] = 0xF0; // dummy (4), program info length hi (4)
      p[i++] = 0x00; // program info length lo
 
@@ -732,20 +733,20 @@
 
 // --- cFrameDetector --------------------------------------------------------
 
+#define EMPTY_SCANNER (0xFFFFFFFF)
+
 cFrameDetector::cFrameDetector(int Pid, int Type)
 {
-  pid = Pid;
-  type = Type;
+  SetPid(Pid, Type);
   synced = false;
   newFrame = independentFrame = false;
   numPtsValues = 0;
   numIFrames = 0;
-  isVideo = type == 0x01 || type == 0x02 || type == 0x1B; // MPEG 1, 2 or 4
   frameDuration = 0;
   framesInPayloadUnit = framesPerPayloadUnit = 0;
   payloadUnitOfFrame = 0;
   scanning = false;
-  scanner = 0;
+  scanner = EMPTY_SCANNER;
 }
 
 static int CmpUint32(const void *p1, const void *p2)
@@ -755,8 +756,24 @@
   return 0;
 }
 
+void cFrameDetector::SetPid(int Pid, int Type)
+{
+  pid = Pid;
+  type = Type;
+  isVideo = type == 0x01 || type == 0x02 || type == 0x1B; // MPEG 1, 2 or 4
+}
+
+void cFrameDetector::Reset(void)
+{
+  newFrame = independentFrame = false;
+  payloadUnitOfFrame = 0;
+  scanning = false;
+  scanner = EMPTY_SCANNER;
+}
+
 int cFrameDetector::Analyze(const uchar *Data, int Length)
 {
+  int SeenPayloadStart = false;
   int Processed = 0;
   newFrame = independentFrame = false;
   while (Length >= TS_SIZE) {
@@ -767,140 +784,156 @@
            esyslog("ERROR: skipped %d bytes to sync on start of TS packet", Skipped);
            return Processed + Skipped;
            }
-        if (TsHasPayload(Data) && !TsIsScrambled(Data) && TsPid(Data) == pid) {
-           if (TsPayloadStart(Data)) {
-              if (!frameDuration) {
-                 // frame duration unknown, so collect a sequenece of PTS values:
-                 if (numPtsValues < MaxPtsValues && numIFrames < 2) { // collect a sequence containing at least two I-frames
-                    const uchar *Pes = Data + TsPayloadOffset(Data);
-                    if (PesHasPts(Pes)) {
-                       ptsValues[numPtsValues] = PesGetPts(Pes);
-                       // check for rollover:
-                       if (numPtsValues && ptsValues[numPtsValues - 1] > 0xF0000000 && ptsValues[numPtsValues] < 0x10000000) {
-                          dbgframes("#");
-                          numPtsValues = 0;
-                          numIFrames = 0;
+        if (TsHasPayload(Data) && !TsIsScrambled(Data)) {
+           int Pid = TsPid(Data);
+           if (Pid == pid) {
+              if (TsPayloadStart(Data)) {
+                 SeenPayloadStart = true;
+                 if (synced && Processed)
+                    return Processed;
+                 if (Length < MIN_TS_PACKETS_FOR_FRAME_DETECTOR * TS_SIZE)
+                    return 0; // need more data, in case the frame type is not stored in the first TS packet
+                 if (!frameDuration) {
+                    // frame duration unknown, so collect a sequence of PTS values:
+                    if (numPtsValues < MaxPtsValues && numIFrames < 2) { // collect a sequence containing at least two I-frames
+                       const uchar *Pes = Data + TsPayloadOffset(Data);
+                       if (PesHasPts(Pes)) {
+                          ptsValues[numPtsValues] = PesGetPts(Pes);
+                          // check for rollover:
+                          if (numPtsValues && ptsValues[numPtsValues - 1] > 0xF0000000 && ptsValues[numPtsValues] < 0x10000000) {
+                             dbgframes("#");
+                             numPtsValues = 0;
+                             numIFrames = 0;
+                             }
+                          else
+                             numPtsValues++;
                           }
-                       else
-                          numPtsValues++;
                        }
-                    }
-                 else {
-                    // find the smallest PTS delta:
-                    qsort(ptsValues, numPtsValues, sizeof(uint32_t), CmpUint32);
-                    numPtsValues--;
-                    for (int i = 0; i < numPtsValues; i++)
-                        ptsValues[i] = ptsValues[i + 1] - ptsValues[i];
-                    qsort(ptsValues, numPtsValues, sizeof(uint32_t), CmpUint32);
-                    uint32_t Delta = ptsValues[0];
-                    // determine frame info:
-                    if (isVideo) {
-                       if (Delta % 3600 == 0)
-                          frameDuration = 3600; // PAL, 25 fps
-                       else if (Delta % 3003 == 0)
-                          frameDuration = 3003; // NTSC, 29.97 fps
-                       else if (Delta == 1800) {
-                          frameDuration = 3600; // PAL, 25 fps
-                          framesPerPayloadUnit = -2;
-                          }
-                       else if (Delta == 1501) {
-                          frameDuration = 3003; // NTSC, 29.97 fps
-                          framesPerPayloadUnit = -2;
-                          }
-                       else {
-                          frameDuration = 3600; // unknown, assuming 25 fps
-                          dsyslog("unknown frame duration (%d), assuming 25 fps", Delta);
+                    else {
+                       // find the smallest PTS delta:
+                       qsort(ptsValues, numPtsValues, sizeof(uint32_t), CmpUint32);
+                       numPtsValues--;
+                       for (int i = 0; i < numPtsValues; i++)
+                           ptsValues[i] = ptsValues[i + 1] - ptsValues[i];
+                       qsort(ptsValues, numPtsValues, sizeof(uint32_t), CmpUint32);
+                       uint32_t Delta = ptsValues[0];
+                       // determine frame info:
+                       if (isVideo) {
+                          if (Delta % 3600 == 0)
+                             frameDuration = 3600; // PAL, 25 fps
+                          else if (Delta % 3003 == 0)
+                             frameDuration = 3003; // NTSC, 29.97 fps
+                          else if (Delta == 1800) {
+                             frameDuration = 3600; // PAL, 25 fps
+                             framesPerPayloadUnit = -2;
+                             }
+                          else if (Delta == 1501) {
+                             frameDuration = 3003; // NTSC, 29.97 fps
+                             framesPerPayloadUnit = -2;
+                             }
+                          else {
+                             frameDuration = 3600; // unknown, assuming 25 fps
+                             dsyslog("unknown frame duration (%d), assuming 25 fps", Delta);
+                             }
                           }
+                       else // audio
+                          frameDuration = Delta; // PTS of audio frames is always increasing
+                       dbgframes("\nframe duration = %d  FPS = %5.2f  FPPU = %d\n", frameDuration, 90000.0 / frameDuration, framesPerPayloadUnit);
                        }
-                    else // audio
-                       frameDuration = Delta; // PTS of audio frames is always increasing
-                    dbgframes("\nframe duration = %d  FPS = %5.2f  FPPU = %d\n", frameDuration, 90000.0 / frameDuration, framesPerPayloadUnit);
                     }
+                 scanner = EMPTY_SCANNER;
+                 scanning = true;
                  }
-              scanner = 0;
-              scanning = true;
-              }
-           if (scanning) {
-              int PayloadOffset = TsPayloadOffset(Data);
-              if (TsPayloadStart(Data)) {
-                 PayloadOffset += PesPayloadOffset(Data + PayloadOffset);
-                 if (!framesPerPayloadUnit)
-                    framesPerPayloadUnit = framesInPayloadUnit;
-                 if (DebugFrames && !synced)
-                    dbgframes("/");
-                 }
-              for (int i = PayloadOffset; scanning && i < TS_SIZE; i++) {
-                  scanner <<= 8;
-                  scanner |= Data[i];
-                  switch (type) {
-                    case 0x01: // MPEG 1 video
-                    case 0x02: // MPEG 2 video
-                         if (scanner == 0x00000100) { // Picture Start Code
-                            if (synced && Processed)
-                               return Processed;
-                            newFrame = true;
-                            independentFrame = ((Data[i + 2] >> 3) & 0x07) == 1; // I-Frame
-                            if (synced) {
-                               if (framesPerPayloadUnit <= 1)
-                                  scanning = false;
+              if (scanning) {
+                 int PayloadOffset = TsPayloadOffset(Data);
+                 if (TsPayloadStart(Data)) {
+                    PayloadOffset += PesPayloadOffset(Data + PayloadOffset);
+                    if (!framesPerPayloadUnit)
+                       framesPerPayloadUnit = framesInPayloadUnit;
+                    if (DebugFrames && !synced)
+                       dbgframes("/");
+                    }
+                 for (int i = PayloadOffset; scanning && i < TS_SIZE; i++) {
+                     scanner <<= 8;
+                     scanner |= Data[i];
+                     switch (type) {
+                       case 0x01: // MPEG 1 video
+                       case 0x02: // MPEG 2 video
+                            if (scanner == 0x00000100) { // Picture Start Code
+                               scanner = EMPTY_SCANNER;
+                               if (synced && !SeenPayloadStart && Processed)
+                                  return Processed; // flush everything before this new frame
+                               newFrame = true;
+                               independentFrame = ((Data[i + 2] >> 3) & 0x07) == 1; // I-Frame
+                               if (synced) {
+                                  if (framesPerPayloadUnit <= 1)
+                                     scanning = false;
+                                  }
+                               else {
+                                  framesInPayloadUnit++;
+                                  if (independentFrame)
+                                     numIFrames++;
+                                  dbgframes("%d ", (Data[i + 2] >> 3) & 0x07);
+                                  }
+                               if (synced)
+                                  return Processed + TS_SIZE; // flag this new frame
                                }
-                            else {
-                               framesInPayloadUnit++;
-                               if (independentFrame)
-                                  numIFrames++;
-                               dbgframes("%d ", (Data[i + 2] >> 3) & 0x07);
+                            break;
+                       case 0x1B: // MPEG 4 video
+                            if (scanner == 0x00000109) { // Access Unit Delimiter
+                               scanner = EMPTY_SCANNER;
+                               if (synced && !SeenPayloadStart && Processed)
+                                  return Processed; // flush everything before this new frame
+                               newFrame = true;
+                               independentFrame = Data[i + 1] == 0x10;
+                               if (synced) {
+                                  if (framesPerPayloadUnit < 0) {
+                                     payloadUnitOfFrame = (payloadUnitOfFrame + 1) % -framesPerPayloadUnit;
+                                     if (payloadUnitOfFrame != 0 && independentFrame)
+                                        payloadUnitOfFrame = 0;
+                                     if (payloadUnitOfFrame)
+                                        newFrame = false;
+                                     }
+                                  if (framesPerPayloadUnit <= 1)
+                                     scanning = false;
+                                  }
+                               else {
+                                  framesInPayloadUnit++;
+                                  if (independentFrame)
+                                     numIFrames++;
+                                  dbgframes("%02X ", Data[i + 1]);
+                                  }
+                               if (synced)
+                                  return Processed + TS_SIZE; // flag this new frame
                                }
-                            scanner = 0;
-                            }
-                         break;
-                    case 0x1B: // MPEG 4 video
-                         if (scanner == 0x00000109) { // Access Unit Delimiter
+                            break;
+                       case 0x04: // MPEG audio
+                       case 0x06: // AC3 audio
                             if (synced && Processed)
                                return Processed;
                             newFrame = true;
-                            independentFrame = Data[i + 1] == 0x10;
-                            if (synced) {
-                               if (framesPerPayloadUnit < 0) {
-                                  payloadUnitOfFrame = (payloadUnitOfFrame + 1) % -framesPerPayloadUnit;
-                                  if (payloadUnitOfFrame != 0 && independentFrame)
-                                     payloadUnitOfFrame = 0;
-                                  if (payloadUnitOfFrame)
-                                     newFrame = false;
-                                  }
-                               if (framesPerPayloadUnit <= 1)
-                                  scanning = false;
-                               }
-                            else {
-                               framesInPayloadUnit++;
-                               if (independentFrame)
+                            independentFrame = true;
+                            if (!synced) {
+                               framesInPayloadUnit = 1;
+                               if (TsPayloadStart(Data))
                                   numIFrames++;
-                               dbgframes("%02X ", Data[i + 1]);
                                }
-                            scanner = 0;
-                            }
-                         break;
-                    case 0x04: // MPEG audio
-                    case 0x06: // AC3 audio
-                         if (synced && Processed)
-                            return Processed;
-                         newFrame = true;
-                         independentFrame = true;
-                         if (!synced) {
-                            framesInPayloadUnit = 1;
-                            if (TsPayloadStart(Data))
-                               numIFrames++;
-                            }
-                         scanning = false;
-                         break;
-                    default: esyslog("ERROR: unknown stream type %d (PID %d) in frame detector", type, pid);
-                             pid = 0; // let's just ignore any further data
+                            scanning = false;
+                            break;
+                       default: esyslog("ERROR: unknown stream type %d (PID %d) in frame detector", type, pid);
+                                pid = 0; // let's just ignore any further data
+                       }
+                     }
+                 if (!synced && frameDuration && independentFrame) {
+                    synced = true;
+                    dbgframes("*");
+                    Reset();
+                    return Processed + TS_SIZE;
                     }
-                  }
-              if (!synced && frameDuration && independentFrame) {
-                 synced = true;
-                 dbgframes("*");
                  }
               }
+           else if (Pid == PATPID && synced && Processed)
+              return Processed; // allow the caller to see any PAT packets
            }
         Data += TS_SIZE;
         Length -= TS_SIZE;
diff -ruN vdr-1.7.9/remux.h vdr-1.7.10/remux.h
--- vdr-1.7.9/remux.h	2009-08-16 17:15:33.000000000 +0200
+++ vdr-1.7.10/remux.h	2009-11-21 16:55:34.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: remux.h 2.19 2009/08/16 15:15:33 kls Exp $
+ * $Id: remux.h 2.20 2009/11/21 15:55:34 kls Exp $
  */
 
 #ifndef __REMUX_H
@@ -49,6 +49,7 @@
 #define TS_ADAPT_TP_PRIVATE   0x02
 #define TS_ADAPT_EXTENSION    0x01
 
+#define PATPID 0x0000 // PAT PID (constant 0)
 #define MAXPID 0x2000 // for arrays that use a PID as the index
 
 inline bool TsHasPayload(const uchar *p)
@@ -238,8 +239,11 @@
        ///< Returns the PMT pid as defined by the current PAT.
        ///< If no PAT has been received yet, -1 will be returned.
   int Vpid(void) { return vpid; }
-       ///< Returns the video pid as defined by the current PMT.
+       ///< Returns the video pid as defined by the current PMT, or 0 if no video
+       ///< pid has been detected, yet.
   int Vtype(void) { return vtype; }
+       ///< Returns the video stream type as defined by the current PMT, or 0 if no video
+       ///< stream type has been detected, yet.
   };
 
 // TS to PES converter:
@@ -299,6 +303,8 @@
 
 // Frame detector:
 
+#define MIN_TS_PACKETS_FOR_FRAME_DETECTOR 2
+
 class cFrameDetector {
 private:
   enum { MaxPtsValues = 150 };
@@ -320,7 +326,15 @@
   bool scanning;
   uint32_t scanner;
 public:
-  cFrameDetector(int Pid, int Type);
+  cFrameDetector(int Pid = 0, int Type = 0);
+      ///< Sets up a frame detector for the given Pid and stream Type.
+      ///< If no Pid and Type is given, they need to be set by a separate
+      ///< call to SetPid().
+  void SetPid(int Pid, int Type);
+      ///< Sets the Pid and stream Type to detect frames for.
+  void Reset(void);
+      ///< Resets any counters and flags used while syncing and prepares
+      ///< the frame detector for actual work.
   int Analyze(const uchar *Data, int Length);
       ///< Analyzes the TS packets pointed to by Data. Length is the number of
       ///< bytes Data points to, and must be a multiple of 188.
diff -ruN vdr-1.7.9/ringbuffer.c vdr-1.7.10/ringbuffer.c
--- vdr-1.7.9/ringbuffer.c	2009-05-17 12:05:17.000000000 +0200
+++ vdr-1.7.10/ringbuffer.c	2009-11-22 12:14:36.000000000 +0100
@@ -7,7 +7,7 @@
  * Parts of this file were inspired by the 'ringbuffy.c' from the
  * LinuxDVB driver (see linuxtv.org).
  *
- * $Id: ringbuffer.c 2.2 2009/05/17 10:05:17 kls Exp $
+ * $Id: ringbuffer.c 2.3 2009/11/22 11:14:36 kls Exp $
  */
 
 #include "ringbuffer.h"
@@ -200,7 +200,7 @@
 
 void cRingBufferLinear::Clear(void)
 {
-  tail = head;
+  tail = head = margin;
 #ifdef DEBUGRINGBUFFERS
   lastHead = head;
   lastTail = tail;
@@ -217,7 +217,8 @@
   int free = (diff > 0) ? diff - 1 : Size() - head;
   if (Tail <= margin)
      free--;
-  int Count = 0;
+  int Count = -1;
+  errno = EAGAIN;
   if (free > 0) {
      if (0 < Max && Max < free)
         free = Max;
@@ -225,6 +226,44 @@
      if (Count > 0) {
         int Head = head + Count;
         if (Head >= Size())
+           Head = margin;
+        head = Head;
+        if (statistics) {
+           int fill = head - Tail;
+           if (fill < 0)
+              fill = Size() + fill;
+           else if (fill >= Size())
+              fill = Size() - 1;
+           UpdatePercentage(fill);
+           }
+        }
+     }
+#ifdef DEBUGRINGBUFFERS
+  lastHead = head;
+  lastPut = Count;
+#endif
+  EnableGet();
+  if (free == 0)
+     WaitForPut();
+  return Count;
+}
+
+int cRingBufferLinear::Read(cUnbufferedFile *File, int Max)
+{
+  int Tail = tail;
+  int diff = Tail - head;
+  int free = (diff > 0) ? diff - 1 : Size() - head;
+  if (Tail <= margin)
+     free--;
+  int Count = -1;
+  errno = EAGAIN;
+  if (free > 0) {
+     if (0 < Max && Max < free)
+        free = Max;
+     Count = File->Read(buffer + head, free);
+     if (Count > 0) {
+        int Head = head + Count;
+        if (Head >= Size())
            Head = margin;
         head = Head;
         if (statistics) {
diff -ruN vdr-1.7.9/ringbuffer.h vdr-1.7.10/ringbuffer.h
--- vdr-1.7.9/ringbuffer.h	2009-02-24 12:31:32.000000000 +0100
+++ vdr-1.7.10/ringbuffer.h	2009-11-08 12:52:25.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: ringbuffer.h 2.1 2009/02/24 11:31:32 kls Exp $
+ * $Id: ringbuffer.h 2.2 2009/11/08 11:52:25 kls Exp $
  */
 
 #ifndef __RINGBUFFER_H
@@ -84,6 +84,8 @@
     ///< Only one actual read() call is done.
     ///< \return Returns the number of bytes actually read and stored, or
     ///< an error value from the actual read() call.
+  int Read(cUnbufferedFile *File, int Max = 0);
+    ///< Like Read(int FileHandle, int Max), but reads fom a cUnbufferedFile).
   int Put(const uchar *Data, int Count);
     ///< Puts at most Count bytes of Data into the ring buffer.
     ///< \return Returns the number of bytes actually stored.
diff -ruN vdr-1.7.9/sources.conf vdr-1.7.10/sources.conf
--- vdr-1.7.9/sources.conf	2008-08-16 12:02:27.000000000 +0200
+++ vdr-1.7.10/sources.conf	2009-10-18 16:08:53.000000000 +0200
@@ -12,7 +12,7 @@
 # '/' means same (or very little deviation) orbital position & host.
 # A value in () means this satellite is still in it's test phase.
 #
-# Please contact kls@cadsoft.de before assigning a new code
+# Please contact kls@tvdr.de before assigning a new code
 # to a description, in order to keep them unique.
 
 # Satellites
diff -ruN vdr-1.7.9/svdrp.c vdr-1.7.10/svdrp.c
--- vdr-1.7.9/svdrp.c	2009-06-06 16:03:55.000000000 +0200
+++ vdr-1.7.10/svdrp.c	2009-10-18 16:08:58.000000000 +0200
@@ -10,7 +10,7 @@
  * and interact with the Video Disk Recorder - or write a full featured
  * graphical interface that sits on top of an SVDRP connection.
  *
- * $Id: svdrp.c 2.5 2009/06/06 14:03:55 kls Exp $
+ * $Id: svdrp.c 2.6 2009/10/18 14:08:58 kls Exp $
  */
 
 #include "svdrp.h"
@@ -887,7 +887,7 @@
          PrintHelpTopics(hp);
          }
      Reply(-214, "To report bugs in the implementation send email to");
-     Reply(-214, "    vdr-bugs@cadsoft.de");
+     Reply(-214, "    vdr-bugs@tvdr.de");
      }
   Reply(214, "End of HELP info");
 }
diff -ruN vdr-1.7.9/tools.c vdr-1.7.10/tools.c
--- vdr-1.7.9/tools.c	2009-05-31 13:43:24.000000000 +0200
+++ vdr-1.7.10/tools.c	2009-11-06 16:21:17.000000000 +0100
@@ -4,7 +4,7 @@
  * See the main source file 'vdr.c' for copyright information and
  * how to reach the author.
  *
- * $Id: tools.c 2.3 2009/05/31 11:43:24 kls Exp $
+ * $Id: tools.c 2.4 2009/11/06 15:21:17 kls Exp $
  */
 
 #include "tools.h"
@@ -279,11 +279,11 @@
 
 bool EntriesOnSameFileSystem(const char *File1, const char *File2)
 {
-  struct statfs statFs;
-  if (statfs(File1, &statFs) == 0) {
-     fsid_t fsid1 = statFs.f_fsid;
-     if (statfs(File2, &statFs) == 0)
-        return memcmp(&statFs.f_fsid, &fsid1, sizeof(fsid1)) == 0;
+  struct stat st;
+  if (stat(File1, &st) == 0) {
+     dev_t dev1 = st.st_dev;
+     if (stat(File2, &st) == 0)
+        return st.st_dev == dev1;
      else
         LOG_ERROR_STR(File2);
      }
diff -ruN vdr-1.7.9/vdr.c vdr-1.7.10/vdr.c
--- vdr-1.7.9/vdr.c	2009-05-21 13:14:48.000000000 +0200
+++ vdr-1.7.10/vdr.c	2009-10-25 15:45:47.000000000 +0100
@@ -18,11 +18,11 @@
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA
  * Or, point your browser to http://www.gnu.org/licenses/old-licenses/gpl-2.0.html
  *
- * The author can be reached at kls@cadsoft.de
+ * The author can be reached at kls@tvdr.de
  *
- * The project's page is at http://www.cadsoft.de/vdr
+ * The project's page is at http://www.tvdr.de
  *
- * $Id: vdr.c 2.10 2009/05/21 11:14:48 kls Exp $
+ * $Id: vdr.c 2.12 2009/10/25 14:45:47 kls Exp $
  */
 
 #include <getopt.h>
@@ -507,6 +507,7 @@
      stdout = freopen(Terminal, "w", stdout);
      stderr = freopen(Terminal, "w", stderr);
      HasStdin = true;
+     tcgetattr(STDIN_FILENO, &savedTm);
      }
 
   isyslog("VDR version %s started", VDRVERSION);
